summaryrefslogtreecommitdiff
path: root/tests/touch/read-only
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2005-09-26 07:31:57 +0000
committerJim Meyering <jim@meyering.net>2005-09-26 07:31:57 +0000
commit8507dc0375053877c08541d036de3319bd8cff1c (patch)
tree13b4d7da91df585bdedda3d28ac97331cb1915f1 /tests/touch/read-only
parent012c33d39c37bb860f903af2f0bcc9c40a898e20 (diff)
downloadcoreutils-8507dc0375053877c08541d036de3319bd8cff1c.tar.xz
New test, for root of chmod/usage failure.
Diffstat (limited to 'tests/touch/read-only')
-rwxr-xr-xtests/touch/read-only32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/touch/read-only b/tests/touch/read-only
new file mode 100755
index 000000000..109ab00b1
--- /dev/null
+++ b/tests/touch/read-only
@@ -0,0 +1,32 @@
+#!/bin/sh
+# ensure that touch can operate on read-only files
+
+if test "$VERBOSE" = yes; then
+ set -x
+ touch --version
+fi
+
+PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+: > read-only || framework_failure=1
+chmod 444 read-only || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+touch read-only || fail=1
+
+(exit $fail); exit $fail